| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Attributes | List of all members
globjects::LogMessage Class Reference

Encapsulates a simple log message and its severity level. More...

`#include <globjects/include/globjects/base/LogMessage.h>`

## Public Member Functions
| LogMessage (LogMessageLevel level, const std::string &message)
LogMessageLevel | level () const
const std::string & | message () const

## Protected Attributes
LogMessageLevel | m_level
std::string | m_message

## Detailed Description

Encapsulates a simple log message and its severity level.

LogMessages are handled and dispatched by the global logging handler which has to be a subclass of AbstractLogHandler.

See also
  logging.h
  AbstractLogHandler

## Constructor & Destructor Documentation

## ◆ LogMessage()

globjects::LogMessage::LogMessage | ( | LogMessageLevel | level,
|  | const std::string & | message
| ) |  |

## Member Function Documentation

## ◆ level()

LogMessageLevel globjects::LogMessage::level | ( |  | ) | const

## ◆ message()

const std::string& globjects::LogMessage::message | ( |  | ) | const

## Member Data Documentation

## ◆ m_level

LogMessageLevel globjects::LogMessage::m_level
| protected

## ◆ m_message

std::string globjects::LogMessage::m_message
| protected

The documentation for this class was generated from the following file:

- LogMessage.h